Bug 15399 - cc1 fatal signal 4
cc1 fatal signal 4
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: egcs (Show other bugs)
6.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-08-04 11:31 EDT by marek
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-08-04 11:31:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description marek 2000-08-04 11:31:04 EDT
This might be a hardware problem but I am unable to find any clue about it.
I occasionaly get a "gcc: Internal compiler error: program cc1 got fatal 
signal 4" error during compiling.
This computer is a AMD K6-2 400 MHz Model with 256 MB RAM. Egcs is version 
2.91.66, kernel 2.2.16-3 (both from RPM).
Comment 1 Jakub Jelinek 2000-08-09 09:07:50 EDT
This is really most probably a hardware problem, gcc should not get SIGILL on
i386
If you find a reproduceable testcase which you will be able to reproduce on a
different hardware
as well, reopen the bug with gcc command line and -save-temps intermediate
files.

Note You need to log in before you can comment on or make changes to this bug.